0

This question already has an answer here:

my network are disabled after update kernel to 3.13.0-77-generic on ubuntu 14.04.1 (Voyager Live 14.04.1 amd64).

After update and reboot Wifi indicator on panel is disappeared and conky on desktop don't show WiFi power signal and led on my edimax EW-7811Un not blinks

i'm try this:

lshw -C network

*-network DISABLED description: Ethernet interface

*-network DISABLED description: Wireless interface

then this:

sudo ifconfig wlan0 up

sudo ifconfig eth0 up

DISABLED are disappeared in terminal and conky show WiFi 0 and led now blinks, but indicator on panel not appeared and window of network connection doesn't have any connection (window is empty, look like Ethernet and Wi-Fi connections has been deleted after update kernel). Then i'm try to add new connection but after choose connection type of Ethernet or Wi-Fi or something else, window are not active (can't change connection name and any network settings or save it). After reboot network are DISABLED again. Downgrade to old kernel 3.13.0-40-generic hasn't helped. I noticed after update (when network disabled) in *-network Wireless interface show line of product: edimax etc., but until update (when network enabled) there is no this line.

my desktop system:

Os: Voyager Live 14.04.1 amd64 (ubuntu 14.04.1), ASUS P7H55, Core i3-550, RAM ddr3 4Gb, HDD WD 320Gb, Video GF GTS 250, Wifi edimax EW-7811Un

I waste 2 days try to solve this problem to prevent reinstall anew ubuntu 14.04.1 (on old kernel 3.13.0-40-generic), but eventually i'm was reinstall it.

Is there any normal solution of this problem? Normal means without fully reinstall os and without disabled updates.

marked as duplicate by Pilot6, Community Jan 31 '16 at 19:22

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

0

Hi I had the same problem (I guess), after update kernel my network was disabled (ethernet and wifi).

I was on Ubuntu 14.04 LTS.

When I went to the network panel I got something like this:

network services are not compatible with this version

I solved by re-installing this package

https://www.dropbox.com/sh/imqtsqw6iwjzbti/AABdywvaxU5Y2aIzGVHUg7Nma?dl=0

I got this link from ubuntu italian forum.

create a folder

  1. Create new folder for example abc that contains those package
  2. cd/abc
  3. sudo dpkg -i *.deb

Reboot the system. It worked for me, let me know.

  • Problem in this 3 packages (libnl-3-200, libnl-genl-3-200, libnl-route-3-200) installed through software updater. Version of broken packages : 3.2.21-1ubuntu1 . Now worked fine version : 3.2.21-1 . Thanks! – Warhol Jan 31 '16 at 19:16

Not the answer you're looking for? Browse other questions tagged or ask your own question.